summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorLeith Bade <leith@mapbox.com>2014-11-22 16:58:39 +1100
committerLeith Bade <leith@mapbox.com>2014-11-22 16:58:39 +1100
commit08d11b23a843efc65bfc4f83b9dff10c73ccac35 (patch)
tree10a166cda3ae63cb0c260eb1b27f7e6f48679f3d /scripts
parent149f0441557affdaa73393428d5b8a8e73fb73d3 (diff)
downloadqtlocation-mapboxgl-08d11b23a843efc65bfc4f83b9dff10c73ccac35.tar.gz
Use testmunk in travis
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/travis_script.sh3
-rwxr-xr-xscripts/upload_testmunk.sh17
2 files changed, 20 insertions, 0 deletions
diff --git a/scripts/travis_script.sh b/scripts/travis_script.sh
index 5a4e6b312d..dea2af7c17 100755
--- a/scripts/travis_script.sh
+++ b/scripts/travis_script.sh
@@ -9,6 +9,9 @@ git submodule update --init styles
if [[ $MASON_PLATFORM == "android" ]]; then
mapbox_time "compile_program" \
make android -j$JOBS BUILDTYPE=${BUILDTYPE}
+
+ mapbox_time "upload_testmunk" \
+ ./scripts/upload_testmunk.sh
elif [[ ${TRAVIS_OS_NAME} == "linux" ]]; then
#
# build & test Linux
diff --git a/scripts/upload_testmunk.sh b/scripts/upload_testmunk.sh
new file mode 100755
index 0000000000..26c9ebe93f
--- /dev/null
+++ b/scripts/upload_testmunk.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+echo "submitting testrun to testmunk"
+
+echo "uploading features"
+cd android/test
+zip -r features.zip features/
+curl -H 'Accept: application/vnd.testmunk.v1+json' -F 'file=@features.zip' 'https://If1ONAxGqcIgiI1vtK468V54ERJf1xem@api.testmunk.com/apps/Testmunk/testcases'
+cd ../..
+
+echo "uploading apk"
+cd android/java/app/build/outputs/apk/
+curl -H 'Accept: application/vnd.testmunk.v1+json' -F 'file=@app-debug.apk' -F 'email=leith@mapbox.com' -F 'autoStart=true' -F 'public=true' 'https://If1ONAxGqcIgiI1vtK468V54ERJf1xem@api.testmunk.com/apps/Mapbox/testruns'
+cd ../../../../../..